#if !defined(AFX_GETACCOUNTS_H__B5057118_C00B_42E4_AE9E_03D38F9AC61B__INCLUDED_)
#define AFX_GETACCOUNTS_H__B5057118_C00B_42E4_AE9E_03D38F9AC61B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GetAccounts.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGetAccounts dialog

class CGetAccounts : public CDialog
{
// Construction
public:
	CGetAccounts(CWnd* pParent = NULL);   // standard constructor
	CGetAccounts(IApplication *pApp);

// Dialog Data
	//{{AFX_DATA(CGetAccounts)
	enum { IDD = IDD_GETACCOUNTS };
	CStatic	m_ctlExtRefID;
	CListCtrl	m_GetAccts;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGetAccounts)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGetAccounts)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	//IAccountPtr pAccount;
	void LoadcolumnHeaders();
	void LoadAccounts();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GETACCOUNTS_H__B5057118_C00B_42E4_AE9E_03D38F9AC61B__INCLUDED_)
